import { z } from "zod";

export const categorySchema = z.object({
  name: z.string().min(1),
  description: z.string().optional(),
  image: z.string().optional(),
});

export const categoryFilterSchema = z.object({
  query: z.string().optional(),
  sort: z.string().optional(),
});
